
QGIS Application - Feature request #1536

Renaming a layer using an already existing name should issue a warning

2009-02-10 06:15 AM - nikos -

Status: Open

Priority: Low

Assignee: nobody -

Category: Map Legend

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 11596

Description

An error message should appear if one tries, by mistake, to use a name for a layer (in the legend of course) which is already used for

another layer.

Thank you, Nikos

History

#1 - 2009-04-19 10:51 AM - Paolo Cavallini

I cannot reproduce it: the layer name is changed without a crash. Could you please check it again, and close it if invalid, or give additional info to reproduce

the bug? Thanks.

#2 - 2009-04-20 04:51 AM - nikos -

Can't (re-)produce the crash anymore !? But the wish for an informative message that "a layer with the same name already exists in the legend" is valid :-)

Regards, Nikos

#3 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-15 10:13 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:28 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2017-05-01 12:42 AM - Giovanni Manghi

- Easy fix? set to No

- Pull Request or Patch supplied set to No
